﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ProductEmail, App_Web_productemail.ascx.54f2e0e1" %>
<%@ Register TagPrefix="uc1" TagName="ProductMenuInclude" Src="menus/productmenu.ascx" %>

<link href="module.css" rel="stylesheet" type="text/css" />

<uc1:ProductMenuInclude ID="productmenu" runat="server" />

<table width="100%" class="SmithProdText">
    
    <col width="12%" />
    <col width="70%" />
    
    <tr style="height:20"><td>&nbsp;</td></tr>
    
    <tr>
        <td colspan="2" align="left">
            <asp:Label ID="Label1" runat="server" Text="Product Email Setup" CssClass="SmithTitle"/>&nbsp;-&nbsp;
            <asp:Label ID="lblProductName" runat="server" CssClass="SmithProdText" />
        </td>
    </tr>
    <tr><td></td></tr>
    <tr><td colspan="2" align="left">Product level emails are not required for the cart to send order email confirmations.<br />Only configure product level emails if you would like email confirmations to be unique based on the products ordered.</td></tr>
    <tr><td style="height:20">&nbsp;</td></tr>

   <tr>
        <td align="left">Email Template Name:</td>
        <td align="left">
            <asp:DropDownList ID="ddlTemplateName" runat="server">
               <asp:ListItem Value="0">-Select-</asp:ListItem>
            </asp:DropDownList>&nbsp;&nbsp;&nbsp;
            <asp:LinkButton ID="lbManageEmailTemplates" runat="server" Text="Manage Email Templates" onclick="lbManageEmailTemplates_Click" CausesValidation="false" CssClass="adminLink" />
        </td>
    </tr>
   
    <tr><td>&nbsp;</td></tr>

    <tr>
        <td class="SmithProdText">Email Address(s):<br />
            <asp:Label ID="Label3" runat="server" CssClass="SmithItalics" Text="(Add a comma seperated list of email addresses)"/><br />
        </td>
        <td align="left"><asp:TextBox runat="server" ID="txtEmail" MaxLength="400" Width="500px" TextMode="MultiLine" Height="60px" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>

    <tr>
        <td></td>
        <td align="left">
            <asp:Button runat="server" ID="btnAddEmail" Text="Add Product Email Template" onclick="btnAddEmail_Click" />&nbsp;&nbsp;
            <asp:Label ID="lblMsg" runat="server" CssClass="SmithRedMsg" Text="Email Template Alreadt Exist" Visible="false"/>
        </td>  
    </tr>

    <tr style="height:20px"><td>&nbsp;</td></tr>
    
    <tr style="height:110"><td colspan="2">
        <asp:GridView ID="grdEmail" runat="server" AutoGenerateColumns="false" OnRowCancelingEdit="grdEmail_RowCancelingEdit"
                OnRowDeleting="grdEmail_RowDeleting" OnRowEditing="grdEmail_RowEditing" OnRowUpdating="grdEmail_RowUpdating" Width="652px" 
                CssClass="cssMain" CellPadding="4" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="ID" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblID" runat="server" Text='<%#Eval("ID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Product ID" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="TemplateID" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblTemplateID" runat="server" Text='<%#Eval("TemplateID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Template Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" ItemStyle-Width="400px">
                        <ItemTemplate>
                            <asp:Label ID="lblTemplateName" runat="server" Text='<%#Eval("Name") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:DropDownList ID="ddlTemplateName" runat="server" 
                                dataSource="<%#PopulateList()%>" datatextfield="Name" datavaluefield="TemplateID">
                            </asp:DropDownList>
                        </EditItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Email Address(s)" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" ItemStyle-Width="400px">
                        <ItemTemplate>
                            <asp:Label ID="lblEmailAddress" runat="server" Text='<%#Eval("EmailAddress") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtGrdEmailAddress" runat="server" TextMode="MultiLine" Width="300px" Height="70px" Text='<%#Eval("EmailAddress") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                </Columns>
            </asp:GridView>
     </td></tr>
     
     <tr style="height:20"><td colspan="2">&nbsp;</td></tr>
     
     <tr><td align="center" colspan="2"> <asp:Button ID="btnBack" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" CausesValidation="false" /></td></tr>
     
</table>
