﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.ProductDetail.ProductDetailSettings, App_Web_productdetailsettings.ascx.2f4527b6" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<link href="module.css" rel="stylesheet" type="text/css" />

 <table class="SmithProdText">

    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2">Product Details Page Setup</td></tr>
    <tr>
        <td>BuyNow Page Name:</td>
        <td><asp:DropDownList ID="ddlBuyNowPage" runat="server" DataValueField="TabId" DataTextField="TabPath" /></td>
    </tr>
    <tr>
        <td>DigArticles Page Name:</td>
        <td><asp:DropDownList ID="ddlDigArticlePage" runat="server" DataValueField="TabId" DataTextField="TabPath" /></td>
    </tr>
      <tr>
        <td>Button Theme:</td>
        <td><asp:DropDownList runat="server" ID="ddlPDTheme" DataValueField="ColorValue" DataTextField="Color"></asp:DropDownList></td>
    </tr>
    
    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2">Show Fields</td></tr>

    <tr>
        <td>Show Product SKU:</td>
        <td><asp:CheckBox runat="server" ID="chkShowPDSKU" /></td>
   </tr>
   
   <tr>
        <td>Show Product Summary:</td>
        <td><asp:CheckBox runat="server" ID="chkShowPDSummary" /></td>
   </tr>
   
   <tr>
        <td>Show Sold Out Message:</td>
        <td><asp:CheckBox runat="server" ID="chkShowPDSoldOut" /></td>
   </tr>
   
   <tr>
        <td>Show Product Rating:</td>
        <td><asp:CheckBox runat="server" ID="chkShowPDRating" /></td>
   </tr>

    <tr>
        <td>Show Add To Wishlist Button:</td>
        <%--<td><dnn:Label ID="lblShowAddToWishlist" runat="server"/></td>--%>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowAddToWishlistBtn" /></td>
    </tr>

   <%--<tr runat="server" visible="false">
       <td>Show Categories:</td>
       <td><asp:CheckBox runat="server" ID="chkShowPDCats" /></td>
   </tr>--%>

</table>

<table class="SmithProdText">
    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2">Hide Fields</td></tr>
    <tr>
        <td>Hide Price:</td>
        <td><asp:CheckBox ID="chkHidePrice" runat="server" /></td>
    </tr>
    
    <tr>
        <td>Hide Quantity:</td>
        <td><asp:CheckBox ID="chkHideQuantity" runat="server" /></td>
    </tr>
    
     <tr>
        <td>Hide Add To Cart:</td>
        <td><asp:CheckBox ID="chkHideAddToCart" runat="server" /></td>
    </tr>
    
    <tr><td></td></tr>
</table>

<table class="SmithProdText">
    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2">Button and Field Behavior</td></tr>
    <tr>
        <td nowrap="nowrap">Add To Cart Requires Login:</td>
        <td><asp:CheckBox ID="chkAddCartRequiresLogin" runat="server" /></td>
    </tr>
    
    <tr>
        <td>Enable User Entered Amounts:</td>
        <td><asp:CheckBox ID="chkUserEnteredAmount" runat="server" /></td>
    </tr>

    <tr><td style="height: 5">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2">Top Row Setup</td></tr>
    <tr>
        <td>Show Share Bar:</td>
        <td><asp:CheckBox runat="server" ID="chkShowShareBarPD" /></td>
    </tr>
    <tr>
        <td>Show Product Name Top:</td>
        <td><asp:CheckBox runat="server" ID="chkShowProductNameTopPD" /></td>
    </tr>
    <tr>
        <td>Show Add To Cart Top:</td>
        <td><asp:CheckBox runat="server" ID="chkShowAddToCartTopPD" /></td>
    </tr>

    <tr><td style="height: 5">&nbsp;</td></tr>

    <tr><td class="SmithTitle" colspan="2">Tab Setup</td></tr>
 
   <%-- <tr>
        <td colspan="2">
            <asp:RadioButtonList ID="rblTabSetup" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optShowTabBottom" runat="server" value="ShowTabBottom" Text="Show Tabs at Bottom of Page" Selected="True"/>
                <asp:listitem id="optShowTabTop" runat="server" value="ShowTabTop" Text="Show Tabs at Top of Page"/>
                <asp:listitem id="optHideTab" runat="server" value="HideTab" Text="Hide Tabs" />
            </asp:RadioButtonList>
        </td>
    </tr>--%>

    <tr> 
        <td>Tab Width (Pixels):</td>
        <td> 
             <asp:TextBox ID="txtTabWidth" runat="server" Width="54px"/>&nbsp;&nbsp;
             <asp:CompareValidator ID="CompareValidator1" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtTabWidth" Operator="DataTypeCheck" Type="Integer"/> 
        </td> 
    </tr>
    
     <tr align="left">
        <td>Tab Height (Pixels):</td>
        <td>
            <asp:TextBox ID="txtTabHeight" runat="server" Width="54px"/>
            <asp:CompareValidator ID="CompareValidator2" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtTabHeight" Operator="DataTypeCheck" Type="Integer"></asp:CompareValidator>&nbsp;
        </td>
    </tr>

      <tr>
        <td>Show Reviews Tab:</td>
        <td><asp:CheckBox runat="server" ID="chkShowReviews" /></td>
   </tr>

    <tr>
       <td>Show Videos Tab:</td>
       <td><asp:CheckBox ID="chkShowVideoTab" runat="server" /></td>
    </tr>

     <tr>
       <td>Show Articles Tab:</td>
       <td><asp:CheckBox ID="chkShowArticleTab" runat="server" /></td>
    </tr>

    <tr>
       <td>Hide Tabs:</td>
       <td><asp:CheckBox ID="chkHideTabs" runat="server" /></td>
    </tr>

    <tr><td style="height: 5">&nbsp;</td></tr>
</table>

<table class="SmithProdText">
    <tr><td colspan="2" class="SmithTitle">Related Products Tab Setup:</td></tr>

    <tr>
       <td>Show Related Products Sku</td>
       <td><asp:CheckBox runat="server" ID="chkShowRelatedProductSku" /></td>
   </tr>

    <tr>
       <td>Show Related Products Description:</td>
       <td><asp:CheckBox runat="server" ID="chkShowRelatedProductDesc" /></td>
   </tr>

   <tr><td></td></tr>
</table>

<table class="SmithProdText">
   
    <tr><td style="height: 5">&nbsp;</td></tr>

    <tr><td class="SmithTitle" colspan="2">Mini Cart Setup</td></tr>
 
     <tr>
        <td colspan="2">
            <asp:RadioButtonList ID="rblPDMiniCart" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optNoMiniCart" runat="server" value="NoMiniCart" Text="No Mini Cart" Selected="True"/>
                <asp:listitem id="optShowBuiltinMiniCart" runat="server" value="ShowBuiltinMiniCart" Text="Show Built-In Mini Cart"/>
                <asp:listitem id="optUseMiniCartModule" runat="server" value="UseMiniCartModule" Text="Use Mini Cart Module"/>
            </asp:RadioButtonList>
        </td>
    </tr>
    
    <tr><td style="height: 5">&nbsp;</td></tr>

    <tr><td class="SmithTitle" colspan="2">Image Gallery and Effects</td></tr>
    
    <tr>
        <td colspan="2">
            <asp:RadioButtonList ID="rblImageGallery" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optNoGallery" runat="server" value="NoEffects" Text="No Image Gallery or Effects" Selected="True"/>
                <asp:listitem id="optZoom" runat="server" value="Zoom" Text="Enable Image Gallery with Zoom Effect"/>
                <asp:listitem id="optLightBox" runat="server" value="LightBox" Text="Enable Image Gallery with Lightbox Effect"/>
            </asp:RadioButtonList>
        </td>
    </tr>

    <tr><td style="height: 15">&nbsp;</td></tr>

</table>

<table class="SmithProdText">
    <tr><td class="SmithTitle" colspan="2">Custom Listbox Field</td></tr>
    
    <tr>
        <td>Show Listbox:</td>
        <td><asp:CheckBox runat="server" ID="chkShowPDLB" /></td>
    </tr>
    
     <tr>
        <td>Listbox Label:</td>
        <td><asp:TextBox runat="server" ID="txtPDLBLabel" MaxLength="50" Width="200" /></td>
    </tr>
     <tr>
        <td valign="top">Listbox Text:</td>
        <td><asp:TextBox runat="server" TextMode="multiLine" MaxLength="400" ID="txtPDLBText" Rows="8" Columns="100" Width="275"></asp:TextBox></td>
     </tr>
     
    <tr><td style="height: 5">&nbsp;</td></tr>

    <tr><td class="SmithTitle" colspan="2">Custom Textbox Field</td></tr>
    
    <tr>
        <td>Show Textbox:</td>
        <td ><asp:CheckBox runat="server" ID="chkShowPDTB" /></td>
    </tr>
    
     <tr>
        <td>Textbox Label:</td>
        <td><asp:TextBox runat="server" ID="txtPDTBLabel" MaxLength="50" Width="200" /></td>
    </tr>
    
    <tr>
        <td>Textbox Required:</td>
        <td><asp:CheckBox runat="server" ID="chkPDTBRequired" /></td>
    </tr>
    
    <tr><td style="height: 15">&nbsp;</td></tr>
</table>

<table class="SmithProdText">
    <tr><td class="SmithTitle" colspan="2">Volume Discounts Setup</td></tr>
    <tr>
       <td>Show Volume Discounts in Tab:</td>
       <td><asp:CheckBox runat="server" ID="chkShowDiscountsInTab" /></td>
   </tr>

    <tr>
       <td>Show Volume Discounts Below Price:</td>
       <td><asp:CheckBox runat="server" ID="chkShowDiscounts" /></td>
   </tr>
   <tr><td style="height: 15">&nbsp;</td></tr>
</table>

<table class="SmithProdText">
    
<%--
    <tr><td style="height: 15">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2">Tab Name Setup</td></tr>
    <tr><td></td></tr>
   
    <tr> 
        <td>Related Products:</td>
        <td><asp:TextBox ID="txtRelatedProductTab" runat="server" Width="200px"/></td> 
    </tr>
    <tr> 
        <td>Custom Fields:</td>
        <td><asp:TextBox ID="txtCustomFieldTab" runat="server" Width="200px"/></td> 
    </tr>
    <tr> 
        <td>Matrix:</td>
        <td><asp:TextBox ID="txtMatrixTab" runat="server" Width="200px"/></td> 
    </tr>
    <tr> 
        <td>Reviews:</td>
        <td><asp:TextBox ID="txtReviewTab" runat="server" Width="200px"/></td> 
    </tr>
    <tr> 
        <td>Volume Discounts:</td>
        <td><asp:TextBox ID="txtVolumeDiscountTab" runat="server" Width="200px"/></td> 
    </tr>
    --%>
    
    
    <tr><td class="SmithTitle" colspan="2">Matrix Setup</td></tr>
    
    <tr>
        <td>Enable Popup Window:</td>
        <td><asp:CheckBox ID="chkEnablePopup" runat="server" /></td>
    </tr>

    <tr>
        <td>Show Quantity On Hand:</td>
        <td><asp:CheckBox ID="chkShowQOHMatrix" runat="server" /></td>
    </tr>

    <tr>
        <td>Hide Sku:</td>
        <td><asp:CheckBox ID="chkHideSkuMatrix" runat="server" /></td>
    </tr>
    
     <tr>
        <td>Hide Add To Cart:</td>
        <td><asp:CheckBox ID="chkHideAddToCartMatrix" runat="server" /></td>
    </tr>

     <tr><td style="height: 15">&nbsp;</td></tr>
    
    <tr><td class="SmithTitle" colspan="2">Order As-Is Setup</td></tr>
    
     <tr>
        <td colspan="2">
            <asp:RadioButtonList ID="rblOrderAsIs" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optNoOrderAsIs" runat="server" value="NoOrderAsIs" Text="Hide Order As Is" Selected="True"/>
                <asp:listitem id="optShowOrderAsIsAll" runat="server" value="ShowOrderAsIsAll" Text="Show Order As Is - All Products"/>
                <asp:listitem id="optShowOrderAsIsByProduct" runat="server" value="ShowOrderAsIsByProduct" Text="Show Order As Is - By Product"/>
            </asp:RadioButtonList>
        </td>
    </tr>

    <tr><td style="height: 15">&nbsp;</td></tr>

    <tr><td class="SmithTitle" colspan="2">Icon/Swatch Setup</td></tr>
    <tr><td></td></tr>

    <tr> 
        <td>Icon/Swatch Height:</td>
        <td><asp:TextBox ID="txtIconHeight" runat="server" Width="75px"/>&nbsp;&nbsp;(Pixels)</td> 
    </tr>

    <tr><td>&nbsp;</td></tr>

    <tr><td class="SmithTitle" colspan="2">Booking Calendar Setup</td></tr>
    <tr><td></td></tr>

    <tr> 
        <td>Auto Populate Event Date:</td>
        <td><asp:CheckBox ID="chkAutoPopulateEventDate" runat="server" /></td>
    </tr>

    <tr><td style="height: 20">&nbsp;</td></tr>
   
</table>
