﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ManageCategories, App_Web_managecategories.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<link href="module.css" rel="stylesheet" type="text/css" />

<table id="ButtonRow" runat="server" width="925px"><tr><td>
    <asp:Button ID="btnBack1" runat="server" onclick="btnBack_Click" Text="Store Admin Menu" CausesValidation="false" CssClass="" />&nbsp; 
    <asp:Button ID="btnCategorySetup" runat="server" Text="Manage Categories" CausesValidation="false" Visible="true" onclick="btnCategorySetup_Click" CssClass="" />&nbsp; 
    <asp:Button ID="btnAddCategoryNav" runat="server" Text="Add Category" CausesValidation="false" onclick="btnAddCategoryNav_Click" CssClass="" />&nbsp;
    <asp:Button ID="btnRoleSetup" runat="server" Text="Role Setup" CausesValidation="false" onclick="btnRoleSetup_Click" CssClass="" />&nbsp;
    <asp:Button ID="btnQtyDiscounts" runat="server" Text="Quantity Discounts" CausesValidation="false" onclick="btnQtyDiscounts_Click" CssClass="" />
    <hr />
</td></tr></table>
<br />
<div class="center"><asp:Label ID="lblStatus" runat="server" CssClass="SmithBlueMsgBold" /></div>


<asp:MultiView runat="server" ID="mvMain">

<%--**************** Manage Categories ******************--%>

 <asp:View ID="viewCategorySetup" runat="Server">
  
  <table width="100%" class="SmithProdText">
    <tr align="left"><td class="SmithUnderline"><b>Manage Categories</b></td></tr>
    <tr><td style="height:20">&nbsp;</td></tr>
    <tr>
        <td align="center">
            <asp:GridView ID="grdCategories" runat="server" AutoGenerateColumns="false" Width="100%" CssClass="cssMain" CellPadding="4" 
                OnRowDeleting="grdCategories_RowDeleting" OnRowDataBound="grdCategories_RowDataBound" DataKeyNames="CategoryID">
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>

                    <asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="20px">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkUpdateCategory" runat="server" Text="Edit" OnClick="lkUpdateCategory_Edit" Width="20px"/>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="28px">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkRoles" runat="server" Text="Roles" OnClick="lkRoles_Edit" Width="28px"/>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField ItemStyle-CssClass="GridCells" HeaderStyle-Width="40px">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkQtyDiscount" runat="server" Text="Qty Discounts" OnClick="lkQtyDiscount_Edit"/>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Category ID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-Width="20px">
                        <ItemTemplate>
                            <asp:Label ID="lblCategoryID" runat="server" Text='<%#Eval("CategoryID") %>' Width="20px"/>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Sort" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-Width="8px">
                        <ItemTemplate>
                            <asp:Label ID="lblSortOrder" runat="server" Text='<%#Eval("SortOrder") %>' />
                        </ItemTemplate>
                        <%--<EditItemTemplate>
                            <asp:TextBox runat="server" ID="txtSortOrder" Text='<%#Eval("SortOrder") %>' Width="75" />
                        </EditItemTemplate>--%>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Category Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-Width="90px">
                        <ItemTemplate>
                            <asp:Label ID="lblCategoryName" runat="server" Text='<%#Eval("CategoryName") %>' />
                        </ItemTemplate>
                        <%--<EditItemTemplate>
                            <asp:TextBox ID="txtCategoryName" runat="server" Text='<%#Eval("CategoryName") %>'></asp:TextBox>
                        </EditItemTemplate>--%>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Description" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-Width="150px">
                        <ItemTemplate>
                            <asp:Label ID="lblCatDescription" runat="server" Text='<%#Eval("CatDescription") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Parent Category" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-Width="70px">
                        <ItemTemplate>
                            <asp:Label ID="lblParentCategory" runat="server" Text='<%#Eval("ParentCategoryName") %>' />
                        </ItemTemplate>
                        <%--<EditItemTemplate>
                            <asp:DropDownList ID="ddlGridParentCategory" runat="server" 
                                dataSource="<%#PopulateList()%>" datatextfield="categoryname" datavaluefield="categoryid" Width="150px">
                            </asp:DropDownList>
                        </EditItemTemplate>--%>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="URL Keywords" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-Width="70px">
                        <ItemTemplate>
                            <asp:Label ID="lblCatSEOURL" runat="server" Text='<%#Eval("CatSEOURL") %>' />
                        </ItemTemplate>
                        <%--<EditItemTemplate>
                            <asp:TextBox ID="txtCatSEOURL" runat="server" Text='<%#Eval("CatSEOURL") %>'></asp:TextBox>
                        </EditItemTemplate>--%>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Share" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-Width="20px">
                        <ItemTemplate>
                            <asp:Label ID="lblShare" runat="server"  Text ='<%#Boolean.Parse(Eval("Share").ToString())?"Yes":"No"%>' />
                        </ItemTemplate>
                        <%--<EditItemTemplate>
                            <asp:CheckBox ID="chkShare" runat="server" Checked='<%#Eval("Share") %>' />
                        </EditItemTemplate>--%>
                    </asp:TemplateField>

                    <%--<asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells"/>--%>
        
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells" ItemStyle-Width="20px"/>
                </Columns>
            </asp:GridView>
            
        </td>
    </tr>

     <tr><td style="height:20">&nbsp;</td></tr>

   <%-- <tr>
        <td align="center" colspan="2">
            <asp:Button ID="btnBack" runat="server" onclick="btnBack_Click" Text="Back" Width="74px" />
        </td>
    </tr>
    <tr><td style="height:20">&nbsp;</td></tr>--%>
    
</table>

 </asp:View>


 <%-- **************** Add Category **************** --%>

 <asp:View ID="viewAddCategory" runat="Server">

<table width="100%" class="SmithProdText"><tr><td width="20"></td><td>
<table width="100%" class="SmithProdText">
   <%-- <col width="50%" />
    <col width="50%" />--%>
    
    <tr align="left">
        <td colspan="2">
            <asp:Label ID="lblAddCategoryTitle" runat="server" CssClass="SmithTitle" Text="Add Category"/>
            <asp:Label ID="lblEditCategoryNameTitle" runat="server" CssClass="SmithProdText" />
        </td>
    </tr>
    <tr><td style="height:20">&nbsp;</td></tr>
    
    <tr align="left">
        <td class="SmithProdText">Sort Order:</td>
        <td> <asp:TextBox runat="server" ID="txtSortOrder" Width="75" /></td>
    </tr>
    
    <tr><td></td></tr>
    
    <tr align="left">
        <td class="SmithProdText">Category Name:</td>
        <td><asp:TextBox ID="txtCategory" runat="server" Width="378px"></asp:TextBox>&nbsp&nbsp;</td>
    </tr>
    
   <tr><td></td></tr>
    
   <tr align="left">
        <td valign="top" class="SmithProdText" width="135px">Parent Category:&nbsp&nbsp;</td>
        <td valign="top"><asp:DropDownList ID="ddlParentCategory" runat="server" Width="217px"></asp:DropDownList></td>
   </tr>
   
   <tr><td></td></tr>
    
    <tr align="left">
        <td class="SmithProdText">URL Keywords:</td>
        <td><asp:TextBox ID="txtCatSEOURL" runat="server" Width="378px"/></td>
    </tr>
    
    <tr align="left">
        <td></td>
        <td><asp:Label ID="Lbl1" runat="server" Text="Only lowercase letters, numbers, hyphens, underscores. No spaces." CssClass="SmithItalics"/></td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
        <td valign="top" class="SmithProdText">Share:</td>
        <td valign="top"><asp:CheckBox ID="chkShare" runat="server" /></td>
    </tr>
    
    <tr><td></td></tr>
    
     <tr align="left">
        <td valign="top" class="SmithProdText" colspan="2">
            <asp:Label ID="Label3" runat="server" Text="Category Description:" /><br />
            <dnn:TextEditor ID="teCatDescription" runat="server" ChooseMode="True" ChooseRender="False" DefaultMode="Rich" Height="350" HtmlEncode="False" TextRenderMode="Raw" Width="550" />
        </td>
    </tr>
    
     <tr><td style="height:12">&nbsp;</td></tr>
    
    <tr align="left">
        <td></td>
        <td><asp:Button ID="btnAddCategory" runat="server" Text="Add New Category" OnClick="btnAddCategory_Click" />
           &nbsp;&nbsp;&nbsp;<asp:Label ID="lblMessage" runat="server" CssClass="SmithBlueMsgBold" />
        </td>
    </tr>
    
     <tr><td style="height:30">&nbsp;</td></tr>
  
 </table></td></tr>
    </table>


</asp:View>
    

 <%-- **************** Role Setup **************** --%>
  
 <asp:View ID="viewRoleSetup" runat="server">

    <table width="100%" class="SmithProdText"><tr><td width="20"></td><td>
    <table width="100%" class="SmithProdText">

        <tr>
            <td align="left">
                <asp:Label ID="Label1" runat="server" Text="Category Role Setup" CssClass="SmithTitle"/>&nbsp;-&nbsp;
                <asp:Label ID="lblCategoryName" runat="server" CssClass="SmithProdText" />
            </td>
        </tr>

        <tr><td style="height:20">&nbsp;</td></tr>
 
        <%--*** Show Category Roles ***--%>

        <tr align="left"><td class="SmithBold" style="height:7px"><dnn:Label ID="lblShowCategoryRoles" runat="server" /></td></tr>
        <tr><td></td></tr>
        <tr>
            <td align="left"><asp:CheckBoxList  runat="server" ID="chkShowCategoryRoles" RepeatColumns="2" /></td>
        </tr>
    
        <tr><td style="height:20">&nbsp;<br /></td></tr>


        <%--*** Hide Category Roles ***--%>

        <tr align="left"><td class="SmithBold" style="height:7px"><dnn:Label ID="lblHideCategoryRoles" runat="server" /></td></tr>
        <tr><td></td></tr>
        <tr><td align="left"><asp:CheckBoxList  runat="server" ID="chkHideCategoryRoles" RepeatColumns="2" /></td></tr>
    
        <tr><td style="height:20">&nbsp;<br /></td></tr>

         <tr style="height:20"><td>&nbsp;<br /><br /></td></tr>

         <tr>
            <td>
                <asp:Button ID="btnSave" runat="server" Text="Save" Width="81px" onclick="btnSaveRoles_Click" CausesValidation="false" />&nbsp;&nbsp;
                <asp:Label ID="lblMsg" runat="server" CssClass="SmithBlueMsgBold" Text="Saved Successfully" Visible="false" />
            </td>
         </tr>
     
         <tr><td>&nbsp;</td></tr>
        </table></td></tr>
    </table>

 </asp:View>
   

 <%-- **************** Category Qty Discounts **************** --%>
  
 <asp:View ID="viewQtyDiscounts" runat="server">

    <table width="100%" class="SmithProdText"><tr><td width="20"></td><td>
    <table width="100%" class="SmithProdText">
        <col width="12%" />
        <col width="70%" />
        <tr>
            <td colspan="2" align="left">
                <asp:Label ID="Label2" runat="server" Text="Manage Category Quantity Discounts" CssClass="SmithTitle"/>&nbsp;-&nbsp;
                <asp:Label ID="lblCatNameQtyDiscounts" runat="server" CssClass="SmithProdText" />
            </td>
        </tr>

        <tr><td style="height:20">&nbsp;</td></tr>

    <tr>
        <td align="left" class="SmithProdText">Quantity From:</td>
        <td align="left">
            <asp:TextBox runat="server" ID="txtQtyFrom" MaxLength="15" Width="100" />&nbsp;&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvQtyFrom" runat="server" ControlToValidate="txtQtyFrom" Display="Dynamic" ErrorMessage="Required"/>--%>
             <asp:CompareValidator ID="cvtxtQtyFrom" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtQtyFrom"  Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr>
        <td class="SmithProdText" align="left">Quantity To:</td>
        <td align="left"><asp:TextBox runat="server" ID="txtQtyTo" Width="100" MaxLength="15" />&nbsp;&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvQtyTo" runat="server" ControlToValidate="txtQtyTo" Display="Dynamic" ErrorMessage="Required"/>--%>
            <asp:CompareValidator ID="cvtxtQtyTo" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtQtyTo" 
                Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr>
        <td class="SmithProdText" align="left">Discount Amount:</td>
        <td align="left">
            <asp:TextBox runat="server" ID="txtPrice" Width="100" MaxLength="11" />
            <%--<asp:RequiredFieldValidator ID="rfvPrice" runat="server" ControlToValidate="txtPrice" Display="Dynamic" ErrorMessage="Required"/>--%>
            &nbsp;&nbsp;
            <asp:CompareValidator ID="cvPrice" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtPrice" 
                Operator="DataTypeCheck" Type="Double"/>
        </td>
    </tr>
    
    <tr><td></td></tr>
    
     <tr>
        <td class="SmithProdText" align="left">Group:</td>
        <td align="left"><asp:TextBox runat="server" ID="txtGroup" MaxLength="15" Width="100" /></td>
    </tr>

    <tr style="height:30px"><td>&nbsp;</td></tr>

    <tr>
        <td></td>
        <td align="left"><asp:Button runat="server" ID="btnAddCategoryDiscount" Width="160" Text="Add Quantity Discount" onclick="btnAddCategoryDiscount_Click" /></td>  
    </tr>

    <tr style="height:20px"><td>&nbsp;</td></tr>
    
    <tr style="height:110"><td colspan="2">
        <asp:GridView ID="grdQtyDiscounts" runat="server" AutoGenerateColumns="false" Width="652px" CssClass="cssMain" CellPadding="4" 
            OnRowCancelingEdit="grdQtyDiscounts_RowCancelingEdit" OnRowDeleting="grdQtyDiscounts_RowDeleting" OnRowEditing="grdQtyDiscounts_RowEditing" OnRowUpdating="grdQtyDiscounts_RowUpdating" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="QtyDiscountID"  Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyDiscountID" runat="server" Text='<%#Eval("QtyDiscountID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="CategoryID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblCategoryID" runat="server" Text='<%#Eval("CategoryID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Quantity From" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyFrom" runat="server" Text='<%#Eval("QtyFrom") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtQtyFrom" runat="server" Text='<%#Eval("QtyFrom") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Quantity To" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyTo" runat="server" Text='<%#Eval("QtyTo") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtQtyTo" runat="server" Text='<%#Eval("QtyTo") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Discount Amount" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPrice" runat="server" Text='<%#Eval("Price","{0:n}") %>' />
                        </ItemTemplate>  
                        <EditItemTemplate>
                            <asp:TextBox ID="txtPrice" runat="server" Text='<%#Eval("Price","{0:n}") %>'></asp:TextBox>
                        </EditItemTemplate>                  
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="Group" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblGroup" runat="server" Text='<%#Eval("DiscountGroup") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtGroup" runat="server" Text='<%#Eval("DiscountGroup") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
             
                    <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells"/>
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells"/>
                </Columns>
            </asp:GridView>
     </td></tr>
     
     <tr style="height:20"><td>&nbsp;</td></tr>
 
        <tr><td>&nbsp;</td></tr>
        </table></td></tr>
    </table>
 
 </asp:View>


</asp:MultiView>
