﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ManageSalesRep, App_Web_managesalesrep.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls"%>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>

<link href="module.css" rel="stylesheet" type="text/css" />


<div id="ButtonRow" runat="server" class="center">
<asp:Button ID="btnAdminMenu" runat="server" Text="Admin Menu" CausesValidation="false" onclick="btnAdminMenu_Click" CssClass="" />&nbsp; 
<asp:Button ID="btnSalesOrganization" runat="server" Text="Sales Reps/Organizations" CausesValidation="false" Visible="true" onclick="btnSalesOrganization_Click" CssClass="" />&nbsp; 
<asp:Button ID="btnCommissions" runat="server" Text="Commission Tiers" CausesValidation="false" onclick="btnCommissions_Click" CssClass="" />&nbsp; 
<asp:Button ID="btnRepZone" runat="server" Text="Regions" CausesValidation="false" onclick="btnRepZone_Click" CssClass="" />&nbsp; 
<asp:Button ID="btnSettings" runat="server" Text="Settings" CausesValidation="false" onclick="btnSettings_Click" CssClass="" />
<hr />
</div>
<br />
<div class="center"><asp:Label ID="lblStatus" runat="server" CssClass="SmithRequiredText"/></div>

<asp:MultiView runat="server" ID="mvMain">

<%--******** Sales Rep Page ********--%>

    <asp:View ID="viewSalesOrganization" runat="Server">

<table width="100%" class="SmithProdText">
    <tr><%--<td style="height: 15">&nbsp;</td>--%></tr>
    <tr><td colspan="2" class="SmithTitle" align="left">Manage Sales Reps and Organizations</td></tr>
	<tr><td style="height: 15">&nbsp;</td></tr>
    
    <tr>
        <td colspan="2">
            <asp:GridView ID="grdSalesRep" DataKeyNames="SalesRepID" AutoGenerateColumns="false" Width="100%" CssClass="cssMain" CellPadding="4"
                runat="server" OnRowDeleting="grdSalesRep_RowDeleting">
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>

                    <asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="20px">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkEditSalesRep" runat="server" Text="Edit" OnClick="lkEditSalesRep" Width="20px"/>
                        </ItemTemplate>
                    </asp:TemplateField>

                   <asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" >
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false" ID="lkRepZones" runat="server" Text="Regions" OnClick="lkRepZones_Edit"/>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Organization Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblOrgName" runat="server" Text='<%#Eval("OrgName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblFirstName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"FirstName")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblLastName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"LastName")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Address" SortExpression="Address1" ItemStyle-Wrap="false" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblAddress1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Address1")%>'></asp:Label>,
                            <asp:Label ID="lblAddress2" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Address2")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="City" SortExpression="City" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCity" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"City")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                     <asp:TemplateField HeaderText="Country" SortExpression="Country" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCountry" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Country")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="State/Region" SortExpression="State" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblState" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"State")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Postal Code" SortExpression="Zip" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblZipCode" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Zip")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Email" SortExpression="Email" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblEmail" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Email")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Phone" SortExpression="Phone" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPhone" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Phone")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Fax" SortExpression="Fax" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblFax" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Fax")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:CommandField ShowDeleteButton="True" ItemStyle-Width="50px" ItemStyle-CssClass="GridCells"/>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
	<tr><td style="height: 15">&nbsp;</td></tr>
    <tr runat="server" id="trOrgName" visible="false">
        <td align="left" nowrap="nowrap"><asp:Label ID="lblOrgName" runat="server" resourcekey="lblOrgName" Text="Organization Name:"/>&nbsp;<span class="SmithRequiredText">*</span></td>
        <td align="left">
            <asp:TextBox ID="txtOrgName" runat="server" Width="300px"/>
            <asp:RequiredFieldValidator ID="rfvOrgName" runat="server" ControlToValidate="txtOrgName" ErrorMessage="OrgName Required" Display="Dynamic"/>
        </td>
    </tr>

    <tr runat="server" id="trDD1" visible="false">
        <td align="left" ><asp:Label runat="server" ID="lblDDLabel1" CssClass="SmithProdText" /></td>
        <td align="left">
            <asp:DropDownList ID="ddlDD1Values" runat="Server" OnSelectedIndexChanged="ddlDD1Values_SelectedIndexChanged"/>&nbsp;&nbsp;
        </td>
    </tr>

    <tr runat="server" id="trDD2" visible="false">
        <td align="left" ><asp:Label runat="server" ID="lblDDLabel2" CssClass="SmithProdText" /></td>
        <td align="left">
            <asp:DropDownList ID="ddlDD2Values" runat="Server" OnSelectedIndexChanged="ddlDD2Values_SelectedIndexChanged"/>&nbsp;&nbsp;
        </td>
    </tr>

     <tr runat="server" id="trDD3" visible="false">
        <td align="left" ><asp:Label runat="server" ID="lblDDLabel3" CssClass="SmithProdText" /></td>
        <td align="left">
            <asp:DropDownList ID="ddlDD3Values" runat="Server" />&nbsp;&nbsp;
        </td>
    </tr>


    <tr>
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblFname" runat="server" resourcekey="lblFirstName" Text="First Name:"/></td>
        <td align="left">
            <asp:TextBox ID="txtFirstName" runat="server"  MaxLength="100" Width="200px" />
            <%--<asp:RequiredFieldValidator ID="rfvFname" runat="server" ControlToValidate="txtFirstName" ErrorMessage="First Name Required" Display="Dynamic"/>--%>
        </td>
    </tr>
    
     <tr align="left">
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblLname" runat="server" resourcekey="lblLastName" Text="Last Name:"/></td>
        <td align="left">
            <asp:TextBox ID="txtLastName" runat="server"  MaxLength="100" Width="200px" />
            <%--<asp:RequiredFieldValidator ID="rfvLname" runat="server" ControlToValidate="txtLastName" ErrorMessage="Last Name Required" Display="Dynamic"/>--%>
        </td>
    </tr>

    <tr align="left">
        <td valign="top"><asp:Label ID="lblAddress1" runat="server" resourcekey="lblAddress1" Text="Address:"/></td>
        <td>
            <asp:TextBox ID="txtAddress1" runat="server" MaxLength="100" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvAddress" runat="server" ControlToValidate="txtAddress" ErrorMessage="Address Required" Display="Dynamic"/>--%>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top" nowrap="nowrap"><asp:Label ID="lblAddress2" runat="server" resourcekey="lblAddress2" Text="Address 2:"/></td>
        <td><asp:TextBox ID="txtAddress2"  Width="200px" runat="server" MaxLength="100" /></td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblCity" runat="server" resourcekey="lblCity" Text="City:"/></td>
        <td>
            <asp:TextBox ID="txtCity" runat="server" MaxLength="50"  Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvCity" runat="server" ControlToValidate="txtCity" Display="Dynamic" ErrorMessage="City Required"/>--%>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="Country" runat="server" resourcekey="lblCountry" Text="Country:"/></td>
        <td valign="top">
            <asp:DropDownList ID="ddlCountry" Width="200px" runat="server" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged" AutoPostBack="True" >
            </asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvddlCountry" runat="server" ControlToValidate="ddlCountry" InitialValue="0" Height="18px" Width="56px" CssClass="FlagMsg" ErrorMessage="Country Required" Display="Dynamic"/>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblState_Region" runat="server" resourcekey="lblState_Region" Text="State:"/></td>
        <td valign="top">
            <asp:DropDownList ID="ddlState" runat="server" Width="200px">
            </asp:DropDownList>
            <%--<asp:RequiredFieldValidator ID="rfvState" runat="server" ControlToValidate="ddlState" InitialValue="0" Height="27px" Width="56px" ErrorMessage="State Required" Display="Dynamic"/>--%>
            <asp:TextBox ID="txtState" runat="server" Visible="false" Width="200px" MaxLength="50" />
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblPostalCode" runat="server" resourcekey="lblPostalCode" Text="Postal Code:"/></td>
        <td valign="top">
            <asp:TextBox ID="txtZip" runat="server" MaxLength="10" Width="200px" Columns="10" />
            <%--<asp:RequiredFieldValidator ID="rfvZip" runat="server" ControlToValidate="txtZip" ErrorMessage="Postal Code Required" Display="Dynamic"/>--%>
        </td>
    </tr>
   
     <tr>
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblIDNumber" runat="server" resourcekey="lblIDNumber" Text="ID Number:"/></td>
        <td align="left">
            <asp:TextBox ID="txtIDNumber" runat="server"  MaxLength="100" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvIDNumber" runat="server" ControlToValidate="txtIDNumber" ErrorMessage="ID Number Required" Display="Dynamic"/>--%>
        </td>
    </tr>

    <tr align="left">
        <td valign="top"><asp:Label ID="lblEmail" runat="server" resourcekey="lblEmail" Text="Email:"/></td>
        <td valign="top">
            <asp:TextBox ID="txtEmail" runat="server" MaxLength="50" Width="250px" />
            <%--<asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail" ErrorMessage="Email Required" Display="Dynamic"/>--%>
            <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail" ErrorMessage="Invalid Email Address."
               Display="Dynamic" ValidationExpression="^[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$"/>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblPhone" runat="server" resourcekey="lblPhone" Text="Phone:"/></td>
        <td valign="top">
            <asp:TextBox ID="txtPhone" runat="server" MaxLength="30" Columns="15"  Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvPhone" runat="server" ControlToValidate="txtPhone" ErrorMessage="Phone Required" Display="Dynamic"/>--%>
            <asp:RegularExpressionValidator ID="revtxtPhone" runat="server" ErrorMessage="Phone number must be a minumum of 10 characters"
                ValidationExpression=".{10}.*" ControlToValidate="txtPhone" Display="Dynamic"/>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblFax" runat="server" resourcekey="lblFax" Text="Fax:"/></td>
        <td valign="top"><asp:TextBox ID="txtFax" runat="server" MaxLength="30" Columns="15"  Width="200px"/></td>
    </tr>

    <tr><td style="height: 6">&nbsp;</td></tr>

    <tr align="left">
        <td valign="top"><asp:Label ID="lblNotes" runat="server" resourcekey="lblNotes" Text="Notes:"/></td>
        <td><asp:TextBox ID="txtNotes" runat="server" Height="65px" TextMode="MultiLine" Width="512px" /></td>
    </tr>

    <tr><td style="height: 10">&nbsp;</td></tr>
    
    <tr>
        <td colspan="2" align="center">
            <asp:Button ID="btnAddSalesRep" runat="server" Text="Add Organization" OnClick="btnAddSalesRep_Click" />
		</td>
    </tr>
	<tr style="height:20"><td>&nbsp;</td></tr>
    <tr><td colspan="2"><asp:Label ID="lblMessage" runat="server" CssClass="SmithBlueMsgLarge" /></td></tr>
    <tr style="height:20"><td>&nbsp;</td></tr>
	
</table>


 </asp:View>
    

<%--******** Commissions Tiers Page ********--%>
    
    <asp:View ID="viewCommissions" runat="server">

    <table class="SmithProdText">
   <%-- <tr><td style="height: 15">&nbsp;</td></tr>--%>
    <tr><td class="SmithTitle" align="left">Manage Commissions Tiers</td></tr>
	<tr><td style="height: 15">&nbsp;</td></tr>
    
    <tr>
        <td>
            <asp:GridView ID="grdCommission" DataKeyNames="RepCommissionID" AutoGenerateColumns="false" Width="100%" CssClass="cssMain" CellPadding="4"
                runat="server" OnRowDeleting="grdCommission_RowDeleting">
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    
                     <asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="20px">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkEditCommission" runat="server" Text="Edit" OnClick="lkEditCommission" Width="20px"/>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="RepCommissionID" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblRepCommissionID" runat="server" Text='<%#Eval("RepCommissionID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Organization Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblOrgName" runat="server" Text='<%#Eval("OrgName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Quantity From" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyFrom" runat="server" Text='<%#Eval("QtyFrom") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Quantity To" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyTo" runat="server" Text='<%#Eval("QtyTo") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Commission Percent" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCommissionPercent" runat="server" Text='<%#Eval("CommissionPercent") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:CommandField ShowDeleteButton="True" ItemStyle-Width="50px" ItemStyle-CssClass="GridCells"/>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
	<tr><td style="height: 15">&nbsp;</td></tr>
</table>

<table>
    <tr>
        <td align="left" nowrap="nowrap"><asp:Label ID="Label1" runat="server" resourcekey="lblOrgName" Text="Organization Name:"/>&nbsp;<span class="SmithRequiredText">*</span></td>
        <td align="left"><asp:DropDownList ID="ddlSalesRep" runat="server"></asp:DropDownList></td>
    </tr>

    <tr><td></td></tr>

     <tr align="left">
        <td><asp:Label ID="lblQtyFrom" runat="server" resourcekey="lblQtyFrom" Text="Quantity From:"/>&nbsp;<span class="SmithRequiredText">*</span></td>
        <td>
            <asp:TextBox runat="server" ID="txtQtyFrom" MaxLength="15" Width="100" />&nbsp;&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvQtyFrom" runat="server" ControlToValidate="txtQtyFrom" Display="Dynamic" ErrorMessage="Required"/>--%>
             <asp:CompareValidator ID="cvtxtQtyFrom" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtQtyFrom" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
        <td><asp:Label ID="lblQtyTo" runat="server" resourcekey="lblQtyTo" Text="Quantity To:"/>&nbsp;<span class="SmithRequiredText">*</span></td>
        <td><asp:TextBox runat="server" ID="txtQtyTo" Width="100" MaxLength="15" />&nbsp;&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvQtyTo" runat="server" ControlToValidate="txtQtyTo" Display="Dynamic" ErrorMessage="Required"/>--%>
            <asp:CompareValidator ID="cvtxtQtyTo" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtQtyTo" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td></td></tr>

     <tr align="left">
        <td valign="top"><asp:Label ID="lblCommissionPercentage" runat="server" resourcekey="lblCommission Percentage:" Text="Commission Percentage:"/>&nbsp;<span class="SmithRequiredText">*</span></td>
        <td>
            <asp:TextBox ID="txtCommissionPercent" runat="server" Width="100px" MaxLength="7"/>&nbsp;
            <asp:CompareValidator ID="CVtxtCommissionPercent" runat="server" ControlToValidate="txtCommissionPercent" ErrorMessage="Enter percentage without % sign" Operator="DataTypeCheck" Type="Double"/><br />
            <asp:Label ID="Lbl2" runat="server" Text="Enter percentage without % sign (i.e. 20% is entered as 20)" CssClass="SmithItalics"/>
        </td>
    </tr>

    <tr><td style="height: 10">&nbsp;</td></tr>
    
    <tr>
        <td colspan="2" align="center">
            <asp:Button ID="btnAddCommission" runat="server" Text="Add Commission" OnClick="btnAddCommission_Click"/>
		</td>
    </tr>
	<tr style="height:20"><td>&nbsp;</td></tr>
    <tr><td colspan="2"><asp:Label ID="lblMsg2" runat="server" CssClass="SmithBlueMsgLarge" /></td></tr>
    <tr style="height:20"><td>&nbsp;</td></tr>
	
</table>

     </asp:View>


<%--********Start Settings Page********--%>

 <asp:View ID="viewSettings" runat="server">

    <table class="SmithProdText">
      <%--  <tr><td style="height: 15">&nbsp;</td></tr>--%>
        <tr><td class="SmithTitle" align="left">Manage Settings</td></tr>
	    <tr><td style="height: 5">&nbsp;</td></tr>

        <tr>
            <td><asp:Label ID="Label7" runat="server" Text="Save Commission in Order Detail:"/></td>
            <td align="left"><asp:CheckBox runat="server" ID="chkSaveCommission" /></td>
        </tr>

         <tr><td style="height: 5">&nbsp;</td></tr>
        <tr><td class="SmithTitle" colspan="2" align="left">Organization Name Field Definition</td></tr>
        <tr><td class="SmithProdText" colspan="2" align="left">Please select one of the following fields to use for the "Organization Name" field.</td></tr>
        <tr>
            <td colspan="2" align="left">
                <asp:RadioButtonList ID="rblOrgName" runat="server" CssClass="SmithProdText">
                    <asp:listitem id="optTextbox" runat="server" value="Textbox" Text="Organization Textbox (Default)" Selected="True"/>
                    <asp:listitem id="optDropdown1" runat="server" value="Dropdown1" Text="Dropdown List #1 (Defined below)"/>
                    <asp:listitem id="optDropdown2" runat="server" value="Dropdown2" Text="Dropdown List #2 (Defined below)"/>
                    <asp:listitem id="optDropdown3" runat="server" value="Dropdown3" Text="Dropdown List #3 (Defined below)"/>
                </asp:RadioButtonList>
            </td>
        </tr>

        <tr><td>&nbsp;</td></tr>

        <%--Dropdown #1--%>
        <tr><td class="SmithTitle" colspan="2" align="left">Dropdown List #1 Setup</td></tr>
        <tr>
            <td><asp:Label ID="lblShowDropdown1" runat="server" Text="Show Dropdown #1:"/></td>
            <td align="left"><asp:CheckBox runat="server" ID="chkShowDropdown1" /></td>
        </tr>

        <tr><td></td></tr>

        <tr>
            <td><asp:Label ID="lblDropdownLabel1" runat="server" Text="Dropdown Label #1:"/></td>
            <td align="left"><asp:TextBox runat="server" ID="txtDropdownLabel1" MaxLength="50"/></td>
        </tr>
         <tr><td></td></tr>
         <tr>
            <td valign="top" ><asp:Label ID="lblDropdownSQL1" runat="server" Text="Dropdown SQL #1:"/></td>
            <td align="left"><asp:TextBox runat="server" TextMode="multiLine" ID="txtDDSQL1" Rows="10" Columns="250" Width="400"/></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <%--Dropdown #2--%>
        <tr><td class="SmithTitle" colspan="2" align="left">Dropdown List #2 Setup</td></tr>
        <tr>
            <td><asp:Label ID="lblShowDropdown2" runat="server" Text="Show Dropdown #2:"/></td>
            <td align="left"><asp:CheckBox runat="server" ID="chkShowDropdown2" /></td>
        </tr>

        <tr><td></td></tr>

        <tr>
            <td><asp:Label ID="lblFilterDD2" runat="server" Text="Filter Dropdown #2:" /></td>
            <td align="left"><asp:CheckBox runat="server" ID="chkFilterDD2" />&nbsp;&nbsp;<asp:Label ID="Label2" runat="server" Text="(Check to filter dropdown #2 on selected item from dropdown #1)" CssClass="SmithItalics" /></td>
        </tr>

        <tr><td></td></tr>

        <tr>
            <td><asp:Label ID="lblDropdownLabel2" runat="server" Text="Dropdown Label #2:"/></td>
            <td align="left"><asp:TextBox runat="server" ID="txtDropdownLabel2" MaxLength="50"/></td>
        </tr>
         <tr><td></td></tr>
         <tr>
            <td valign="top" ><asp:Label ID="lblDropdownSQL2" runat="server" Text="Dropdown SQL #2:"/></td>
            <td align="left"><asp:TextBox runat="server" TextMode="multiLine" ID="txtDDSQL2" Rows="10" Columns="250" Width="400"/></td>
        </tr>
        <tr><td>&nbsp;</td></tr>

        <%--Dropdown #3--%>
        <tr><td class="SmithTitle" colspan="2" align="left">Dropdown List #3 Setup</td></tr>
        <tr>
            <td><asp:Label ID="lblShowDropdown3" runat="server" Text="Show Dropdown #3:"/></td>
            <td align="left"><asp:CheckBox runat="server" ID="chkShowDropdown3" /></td>
        </tr>

        <tr><td></td></tr>

        <tr>
            <td><asp:Label ID="lblFilterDD3" runat="server" Text="Filter Dropdown #3:" /></td>
            <td align="left"><asp:CheckBox runat="server" ID="chkFilterDD3" />&nbsp;&nbsp;<asp:Label ID="Label3" runat="server" Text="(Check to filter dropdown #3 on selected item from dropdown #2)" CssClass="SmithItalics" /></td>
        </tr>

        <tr><td></td></tr>

        <tr>
            <td><asp:Label ID="lblDropdownLabel3" runat="server" Text="Dropdown Label #3:"/></td>
            <td align="left"><asp:TextBox runat="server" ID="txtDropdownLabel3" MaxLength="50"/></td>
        </tr>
         <tr><td></td></tr>
         <tr>
            <td valign="top"><asp:Label ID="lblDropdownSQL3" runat="server" Text="Dropdown SQL #3:"/></td>
            <td align="left"><asp:TextBox runat="server" TextMode="multiLine" ID="txtDDSQL3" Rows="10" Columns="250" Width="400"/></td>
        </tr>

         <tr><td style="height: 10">&nbsp;</td></tr>
    
        <tr>
            <td colspan="2" align="center">
                <asp:Button ID="Button1" runat="server" Text="Save Settings" OnClick="btnSaveSettings_Click"/>
		    </td>
        </tr>
	    <tr style="height:20"><td>&nbsp;</td></tr>
        <tr><td colspan="2"><asp:Label ID="lblSettingsMsg" runat="server" CssClass="SmithBlueMsgLarge" /></td></tr>
        <tr style="height:20"><td>&nbsp;</td></tr>

    </table>

</asp:View>


<%--******** Zone Region Setup ********--%>
  
 <asp:View ID="viewZoneSetup" runat="server">
 
     <table class="SmithProdText">
     
            <%--<tr style="height:20"><td>&nbsp;</td></tr>--%>

            <tr align="left">
                <td colspan="2"><asp:Label ID="Label6" runat="server" CssClass="SmithTitle" Text="Manage Reqions and Commissions" /></td>
            </tr>
            
            <tr style="height:20"><td>&nbsp;</td></tr>
       
       <tr align="left">
            <td colspan="2">
                <asp:GridView ID="grdZone" runat="server" AutoGenerateColumns="false" Width="100%" CellPadding="4" CssClass="cssMain" 
                    OnRowDeleting="grdZone_RowDeleting" DataKeyNames="ZoneID" >
                    <HeaderStyle CssClass="GridHeader" />
                    <Columns>
                        <asp:TemplateField ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:LinkButton CausesValidation="false"  ID="lkUpdateZone" runat="server" Text="Edit" OnClick="lkUpdateZone_Edit"/>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Zone ID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" Visible="false">
                            <ItemTemplate>
                                <asp:Label ID="lblZoneID" runat="server" Text='<%#Eval("ZoneID") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                   
                         <asp:TemplateField HeaderText="Region" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblZoneName" runat="server" Text='<%#Eval("ZoneName") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    
                        <%--<asp:TemplateField HeaderText="Country" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" >
                            <ItemTemplate>
                                <asp:Label ID="lblCountry" runat="server" Text='<%#Eval("Country") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>--%>
                        
                         <%--<asp:TemplateField HeaderText="State/Region" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblState" runat="server" Text='<%#Eval("State") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>--%>
                        
                        <asp:TemplateField HeaderText="Commission Percentage" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblZoneCommissionPercent" runat="server" Text='<%#Eval("CommissionPercent") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Goal" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblGoal" runat="server" Text='<%#Eval("Goal") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                
                        <asp:CommandField ItemStyle-CssClass="GridCells" ShowDeleteButton="True" />
                        
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        
        <tr style="height:20px"><td>&nbsp;</td></tr>
        
        <tr align="left">
            <td><asp:Button ID="btnBackZone" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" CausesValidation="false" /></td>
            <td><asp:Button ID="btnAddZone" runat="server" OnClick="btnAddZone_Click" Text="Add Region" CausesValidation="false" Width="100px"/></td>
        </tr>
        <tr style="height:20px"><td>&nbsp;</td></tr>

       </table>

        <table class="SmithProdText" visible="false" runat="server" id="zoneEditTable">
            
            <tr align="left">
                <td valign="top" class="SmithProdText">Region Name:</td>
                <td>
                    <asp:TextBox ID="txtZoneName" runat="server" Width="200px" MaxLength="200" />&nbsp;&nbsp;
                    <asp:RequiredFieldValidator ID="rfvZoneName" runat="server" ErrorMessage="Required" ControlToValidate="txtZoneName"/>
                </td>
            </tr>
            
            <tr style="height:7"><td></td></tr>
            
            <tr align="left">
                <td class="SmithProdText">Country:</td>
                <td align="left">
                    <div>
                         <table>
                             <tr align="left">
                                <td>
                                    Master Country List<br />
                                    <asp:ListBox ID="lstMasterCountries" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                                </td>
                                <td>
                                    <asp:Button ID="countryButtonAdd" runat="server" Text=">>"  Width="50px" OnClick="zoneCountryButtonAdd_Click" /><br />
                                    <asp:Button ID="countryButtonRemove" runat="server" Text="<<" Width="50px" OnClick="zoneCountryButtonRemove_Click" /> <br />    
                                </td>
                                <td>
                                    Selected Countries<br />
                                    <asp:ListBox ID="lstZoneCountries" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                                </td>
                            </tr>
                        </table> 
                    </div>
                </td>
            </tr>
                     
            <tr style="height:7"><td></td></tr>
            
            <tr align="left" runat="server" id="zoneStateRow" >
                <td class="SmithProdText" >State/Region:</td>
                <td align="left">
                    <div id="listZoneStates" runat="server" >
                         <table>
                             <tr align="left">
                                <td>
                                    Master State List<br />
                                    <asp:ListBox ID="lstMasterStates" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                                </td>
                                <td>
                                    <asp:Button ID="stateButtonAdd" runat="server" Text=">>"  Width="50px" OnClick="zoneStateButtonAdd_Click" /><br />
                                    <asp:Button ID="stateButtonRemove" runat="server" Text="<<" Width="50px" OnClick="zoneStateButtonRemove_Click" /> <br />    
                                </td>
                                <td>
                                    Selected States<br />
                                    <asp:ListBox ID="lstZoneStates" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                                </td>
                            </tr>
                        </table> 
                    </div>

                </td>
            </tr>

            <tr style="height:7"><td></td></tr>
        
            <tr align="left">
                <td valign="top" class="SmithProdText">Commission Percent:</td>
                <td>
                    <asp:TextBox ID="txtZonePrice" runat="server" Width="100px" MaxLength="7" />&nbsp;&nbsp;
                    <asp:Label ID="Label4" runat="server" Text="Enter percentage without % sign (i.e. 20% is entered as 20)" CssClass="SmithItalics"/>&nbsp;
                    <asp:CompareValidator ID="CompareValidator10" runat="server" ControlToValidate="txtZonePrice" ErrorMessage="Enter percentage without % sign" Operator="DataTypeCheck" Type="Double" />
                </td>
            </tr>

             <tr style="height:7"><td></td></tr>
        
            <tr align="left">
                <td valign="top" class="SmithProdText">Sales Goal:</td>
                <td valign="top" class="SmithProdText">
                    <asp:TextBox ID="txtGoal" runat="server" Width="100px" MaxLength="7" />&nbsp;&nbsp;
                    <asp:CompareValidator ID="CompareValidator12" runat="server" ControlToValidate="txtGoal" ErrorMessage="Enter a number" Operator="DataTypeCheck" Type="Double" />
                </td>
            </tr>
        
            <tr style="height:30px"><td>&nbsp;</td></tr>
        
            <tr align="left">
                <td align="left"><asp:Button ID="btnZoneCancel" runat="server" onclick="btnRepZoneCancel_Click" Text="Cancel" Width="70px" CausesValidation="false" /></td>
                <td align="left"><asp:Button ID="btnZoneSubmit" runat="server" Text="Submit" OnClick="btnRepZoneSubmit_Click" Width="100px" /></td>
            </tr>

            <tr style="height:10px"><td>&nbsp;</td></tr>

     </table>

    </asp:View>


<%-- **************** Sales Rep Zone Setup **************** --%>
  
 <asp:View ID="viewRepZoneSetup" runat="server">

 <div class="CenterDiv" >
    <table width="100%" class="SmithProdText">

        <tr>
            <td align="left">
                <asp:Label ID="Label5" runat="server" Text="Sales Office/Sales Rep Region Setup" CssClass="SmithTitle"/>&nbsp;-&nbsp;
                <asp:Label ID="lblOrgName1" runat="server" CssClass="SmithProdText" />
            </td>
        </tr>

        <tr><td></td></tr>
 
        <%--*** Sales Rep Regions ***--%>

        <tr align="left"><td class="SmithBold" ><dnn:Label ID="lblSalesRepRegions" runat="server" /></td></tr>
       
        <tr>
            <td align="left"><asp:CheckBoxList runat="server" ID="chkRepZone" /></td>
        </tr>
    
        <tr><td style="height:20">&nbsp;<br /></td></tr>

         <tr>
            <td align="left">
                <asp:Button ID="btnSave" runat="server" Text="Save" Width="81px" onclick="btnSaveRepZone_Click" CausesValidation="false" />&nbsp;&nbsp;
                <asp:Label ID="lblMsg" runat="server" CssClass="SmithBlueMsgBold" Text="Saved Successfully" Visible="false" />
            </td>
         </tr>
     
         <tr><td>&nbsp;</td></tr>
 
    </table>
</div>

 </asp:View>

</asp:MultiView>

<asp:HiddenField ID="hdSalesRepID" runat="server" />
<asp:HiddenField ID="hdRepCommissionID" runat="server" />